<?php

switch( $config['language'] ) {
	case 'german':
		$lang['view_gallery'] = 'Gallerie ansehen';
		break;
	case 'english':
	default:
		$lang['view_gallery'] = 'View gallery';
		break;
}

function danis_gallery_widget() {
	if( !empty( $_GET['gallery'] ) && file_exists( './images/danis_gallery/' . urldecode( $_GET['gallery'] ) . '/thumps' ) ) return;
	if( !file_exists( './images/danis_gallery' ) ) return;

	$list = scandir( './images/danis_gallery' );
	$galls = array();
	foreach( $list as $gall ) {
		if( $gall != '.' && $gall != '..' && file_exists( './images/danis_gallery/' . $gall . '/thumps'  ) ) {
			if( count( scandir( './images/danis_gallery/' . $gall . '/thumps' ) ) - 2 ) $galls[] = $gall;
		}
	}
	if( !count( $galls ) ) return;

	$gall = $galls[rand( 0, count( $galls ) - 1 )];
	$list = scandir( './images/danis_gallery/' . $gall . '/thumps' );

	$imgs = array();
	foreach( $list as $img ) {
		if( $img != '.' && $img != '..' ) {
			$img = explode( '.', $img );
			if( is_numeric( $img[0] ) && $img[count( $img ) - 1] == 'jpg' ) $imgs[] = implode( '.', $img );
		}
	}
	if( !count( $imgs ) ) return;

	$img = $imgs[rand( 0, count( $imgs ) - 1 )];
	
	global $tpl, $lang;
	$tpl->part_load();
	
	yabs_headers( '<script type="text/javascript" src="' . site_true_home() . '/plugins/danis_gallery/js/prototype.js"></script>' );
	yabs_headers( '<script type="text/javascript" src="' . site_true_home() . '/plugins/danis_gallery/js/scriptaculous.js?load=effects"></script>' );
	yabs_headers( '<script type="text/javascript" src="' . site_true_home() . '/plugins/danis_gallery/js/lightbox.js.php"></script>' );
	yabs_headers( '<link rel="stylesheet" href="' . site_true_home() . '/plugins/danis_gallery/templates/lightbox.css" type="text/css" media="screen" />' );

	$tpl->fillin_array( array(
		'S_SIDEBAR_TITLE' => $lang['gallery'],
		'S_SIDEBAR_CONTENT' => '<a href="' . site_true_home() . '/images/danis_gallery/' . $gall . '/' . $img . '" rel="lightbox"><img src="' . site_true_home() . '/images/danis_gallery/' . $gall . '/thumps/' . $img . '" alt="" /></a><br /><a href="' . url( array( 'site' => 'gallery', 'gallery' => urlencode( $gall ) ) ) . '">' . $lang['view_gallery'] . '</a>',
	) );
}

$plug->addhook( 'hook_index_sidebar', 'danis_gallery_widget' );

?>
